Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007746TestLinkAvailable Fixespublic2016-11-15 09:572017-01-22 07:57
ReporterDierickxD71 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindowsOS VersionServer 2008
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007746: Notification mails sent to inactive users (globalRole)
DescriptionIf the config(_custom).inc.php is configured with:
> $tlCfg->notifications->userSignUp->to->roles = array(TL_ROLES_ADMIN);
Then all global admins will receive notifications when a user signs up.
However, it also sends mails to the e-mail addresses of accounts that are now put to inactive.

For this I have a patch in GitHub, in the file "tlRole.class.php".
In the function "protected function getUserIDsWithGlobalRole(&$db)" I extended the WHERE-clause in the SQL as such:
> " WHERE role_id = {$this->dbID} AND active = 1";

I chose to do it in this location so that the fix works not only for TL_ROLES_ADMIN users, or only for new user signups, but that it works for any functionality and any global role.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0007666closedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025563)
DierickxD71 (reporter)
2016-11-15 10:09

Pull request #68
(0025590)
fman (administrator)
2016-11-17 21:04

Thanks for your help.
My choice is to add a new argument to
getUsersWithGlobalRole(&$db,$opt=null)
getUserIDsWithGlobalRole($db,$opt=nul)
(0025591)
fman (administrator)
2016-11-17 21:10

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/f486b7a69c95bcfaa448fd5dc12e99dde44dc02a [^]
(0025784)
fman (administrator)
2016-12-24 14:51

no more user feedback
(0025873)
fman (administrator)
2017-01-22 07:57

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-11-15 09:57 DierickxD71 New Issue
2016-11-15 10:09 DierickxD71 Note Added: 0025563
2016-11-17 21:04 fman Note Added: 0025590
2016-11-17 21:10 fman Note Added: 0025591
2016-11-17 21:11 fman QA Team - Task Workflow Status => TBD
2016-11-17 21:11 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-11-17 21:11 fman Assigned To => fman
2016-11-17 21:11 fman Status new => feedback
2016-11-17 21:11 fman Relationship added child of 0007666
2016-12-24 14:51 fman Note Added: 0025784
2016-12-24 14:51 fman Status feedback => resolved
2016-12-24 14:51 fman Resolution open => fixed
2017-01-22 07:57 fman Note Added: 0025873
2017-01-22 07:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker